Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6599 - Changing password for user not in /etc/shadow fails
Summary: Changing password for user not in /etc/shadow fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-01 14:07 UTC by Mads Kiilerich
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 21:51:19 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 1999-11-01 14:07:02 UTC
Case:

A user is added manually to /etc/passwd
The password is set with passwd

Result: Still no entry in /etc/shadow and thus the user
cannot login.

This might be the right behaviour, but then the passwd
command shouldn't report "success".

Regards,
Mads

Comment 1 Cristian Gafton 2000-02-17 21:51:59 UTC
Don't add users only in /etc/passwd. User useradd.

Comment 2 Mads Kiilerich 2000-02-19 11:16:59 UTC
Agreed.

But some (slightly bogus) programs modifies /etc/passwd directly.

When passwd for such a user is set, then passwd should at least check if the
system is using shadows, and if that is the case then it should not report
success!


Note You need to log in before you can comment on or make changes to this bug.